package com.zcxk.process.dao;


import com.zcxk.process.entity.UserActionDesc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserActionDescMapper {
    int insert(@Param("userActionDesc") UserActionDesc userActionDesc);

    int insertSelective(@Param("userActionDesc") UserActionDesc userActionDesc);

    int insertList(@Param("userActionDescs") List<UserActionDesc> userActionDescs);

    int updateByPrimaryKeySelective(@Param("userActionDesc") UserActionDesc userActionDesc);

    List<UserActionDesc> queryUserActionWithForm(@Param("formId") Integer formId, @Param("channelId") Integer channelId);

}
